//Mouse.h
#include "stdafx.h"

// Created by Kildushov Oleg
// Создатель - Кильдюшов Олег
// vk.com/legozaur
// kychka-pc.ru - nikname: legozaur 

#ifndef DSL_MOUSE_H
#define DSL_MOUSE_H

class Mouse
{
protected:
	sf::RenderWindow* window; // Ссылка на окно
	int posX;
	int posY;

	bool isKeyPressed_Left;
	bool isKeyPressed_Right;
	bool isKeyPressed_Middle;
public:
	Mouse();
	~Mouse();
	void data();

	bool setWindow(sf::RenderWindow *RenderWindow);

	void behavior();
	int getX();
	int getY();

	// ===== ===== ===== ===== ===== =====
	// Функции возвращают число от 0 до 3
	// ===== ===== ===== ===== ===== =====
	// 0 - no pressed (не нажата)
	// 1 - new pressed (новое нажатие)
	// 2 - pressed (зажата)
	// 3 - released (отжатие)
	// ===== ===== ===== ===== ===== =====
	int getEventButtonLeft();
	int getEventButtonRight();
	int getEventButtonMiddle();
	// ===== ===== ===== ===== ===== =====
};

#endif  DSL_MOUSE_H
//